Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1196289 - Review Request: nodejs-defaults - A simple one level options merge utility
Summary: Review Request: nodejs-defaults - A simple one level options merge utility
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews 1196290
TreeView+ depends on / blocked
 
Reported: 2015-02-25 16:05 UTC by Zuzana Svetlikova
Modified: 2015-06-09 15:19 UTC (History)
4 users (show)

Fixed In Version: nodejs-defaults-1.0.2-2.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-17 16:39:39 UTC
lkundrak: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Zuzana Svetlikova 2015-02-25 16:05:42 UTC
Spec URL: https://fedorapeople.org/~humaton/rpms/nodejs-defaults.spec
SRPM URL: https://fedorapeople.org/~humaton/rpms/nodejs-defaults-1.0.0-3.fc23.src.rpm
Description: Merge single level defaults over a config object.
Fedora Account System Username: zvetlik

Comment 1 Lubomir Rintel 2015-03-02 20:41:11 UTC
> Summary:        A simple one level options merge utility

This is a pretty bad summary; there's no way a user would be able to tell if 
they need this or not. It's also not an utility, its a library.

> Group:          Development/Languages/Other

No souch group exist. Please drop the tag altogether or pick a suitable
library from /usr/share/doc/rpm/GROUPS

> BuildRoot:      %{_tmppath}/%{pkg_name}-%{version}-build

Not needed anymore unless you're building for el5.

> ExclusiveArch:  %{ix86} x86_64 %{arm} noarch

You can use %{nodejs_arches}, unless you're building for el5.

> #%{nodejs_find_provides_and_requires}

This doesn't look right, is that intentional? Note that macro expansion happens 
before parsing comments.

> %description
> Merge single level defaults over a config object.

This needs improvement, it seems to make very little sense.

> %prep
> %setup -q -n package
> %build

Please keep spacing consistent (add a line break before %build).

> %defattr(-,root,root,-)

Not needed for post-el5.

Comment 2 Lubomir Rintel 2015-03-02 20:51:28 UTC
* Package named properly
* Version correct
- License?
  How can you tell it's MIT? There's no license text included altogether and MIT
  license specifically requires the source to be distributed with the copy of
  the license. Please contact upstream and ask them to fix the issue.
* Builds fine in mock
* Filelist sane
* Requires sane
* Provides sane
- rpmlint unhappy
  Essentially complains about what has been pointed out above

Comment 3 Lubomir Rintel 2015-03-02 21:04:42 UTC
Also, there seems to be a test included, but the package lacks a %check section. Please add it.

Comment 4 Zuzana Svetlikova 2015-03-17 00:50:45 UTC
Spec URL: 
SRPM URL:

Comment 6 Lubomir Rintel 2015-03-17 08:58:49 UTC
Looks better. A couple of minor issues:

1.) Please don't use too long lines in changelogs; they are difficult to use.

Also, you need to escape "%", otherwise it causes a macro expansion. Everywhere.

Changelog entry like this would probably be better:

* Tue Mar 17 2015 Zuzana Svetlikova <zsvetlik@redhat.com> - 1.0.0-3
- Added %%check, %%license, nodejs-clone dependency
- changed ExclusiveArch
- removed Group, BuildRoot and %%defattr
- fixed dependency on nodejs-packaging

2.) Why are the tests conditional?

It sometimes makes sense to disable the tests by default when the dependencies are not satisfied yet, but not here.

Please drop the %enable_tests macro.

These seem to be fairly minor and uncontroversial issues, fine to fix them post-import.

APPROVED

Comment 7 Zuzana Svetlikova 2015-03-18 12:01:28 UTC
New Package SCM Request
=======================
Package Name: nodejs-defaults
Short Description: A simple one level options merge utility
Upstream URL: https://github.com/tmpvar/defaults
Owners: zvetlik humaton
Branches: f20 f21 f22 el6
InitialCC: humaton

Comment 8 Lubomir Rintel 2015-03-18 18:32:27 UTC
The maintainer cancelled the review approval, presumably by accident. Setting back to +.

Zuzana: you probably meant to set fedora‑cvs=?. Please do that.

Comment 9 Zuzana Svetlikova 2015-03-18 19:02:36 UTC
Yes, my mistake, sorry.

Comment 10 Gwyn Ciesla 2015-03-18 19:14:27 UTC
Git done (by process-git-requests).

Comment 11 Lubomir Rintel 2015-04-07 16:25:58 UTC
What's the status of this?

Has the package been imported?

Comment 12 Lubomir Rintel 2015-04-17 16:39:39 UTC
Seems like it's built into f23.

Comment 13 Fedora Update System 2015-05-22 19:00:12 UTC
nodejs-defaults-1.0.2-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-defaults-1.0.2-2.fc20

Comment 14 Fedora Update System 2015-05-22 19:21:14 UTC
nodejs-defaults-1.0.2-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nodejs-defaults-1.0.2-2.fc21

Comment 15 Fedora Update System 2015-05-22 19:33:19 UTC
nodejs-defaults-1.0.2-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/nodejs-defaults-1.0.2-2.fc22

Comment 16 Fedora Update System 2015-06-09 15:15:04 UTC
nodejs-defaults-1.0.2-2.fc22 has been pushed to the Fedora 22 stable repository.

Comment 17 Fedora Update System 2015-06-09 15:19:23 UTC
nodejs-defaults-1.0.2-2.fc20 has been pushed to the Fedora 20 stable repository.

Comment 18 Fedora Update System 2015-06-09 15:19:43 UTC
nodejs-defaults-1.0.2-2.fc21 has been pushed to the Fedora 21 stable repository.


Note You need to log in before you can comment on or make changes to this bug.